[common]
;Excluded remarks, nodes with these remarks will be ignored, supports regular expression
;one remark per line, index starts at 0
exclude_remarks0=(剩余流量|到期时间|过期时间|官网地址|产品名称)

;Included remarks, if defined (";" removed), only nodes with these remarks will be tested, supports regular expression
;one remark per line, index starts at 0
;include_remarks0=香港

[advanced]
;Test mode, default is all
;recognized value: all, speedonly, pingonly
speedtest_mode=all

;Test site ping (Google Ping)
test_site_ping=true

;Test upload speed
test_upload=false

;Test UDP NAT type
test_nat_type=true

;SS clients used in Speedtest, default is ss-csharp
;recognized value: ss-libev, ss-csharp
preferred_ss_client=ss-libev

;SSR clients used in Speedtest, default is ssr-csharp
;recognized value: ssr-libev, ssr-csharp
preferred_ssr_client=ssr-libev

;Override any port in configurations and use the following one
;!!!DO NOT USE THIS UNLESS YOU ARE VERY SURE OF WHAT YOU ARE DOING!!!
;uncomment to enable this feature
;override_conf_port=8080

;Multi-thread speedtest thread count
thread_count=4

[webserver]
listen_address=127.0.0.1
listen_port=10870

[export]
;Export result with MaxSpeed
export_with_maxspeed=false

;Result picture sort method, default is speed
;recognized value: none, speed, rspeed, ping, rping
export_sort_method=rspeed
;Export all nodes into one image when testing multiple links instead of separating different links into individual pictures
multilink_export_as_one_image=true

;Force single links to export an image
single_test_force_export=true

;Export as the newest style (SSRSpeed 2.5+)
export_as_new_style=true

;Speed color set used in rendering picture
;recognized value: original, rainbow, custom
export_color_style=rainbow

;Custom color define
;Color groups format: R1,G1,B1|R2,G2,B2|...
;Color value is an integer from 0 to 65535
custom_color_groups=61937,65535,65278|57568,60395,65278|53199,55512,65278|48830,50372,65278|44461,45489,65278|40349,40349,65535|35980,35209,65535|31611,30326,65535|27242,25186,65535|22873,20303,65535|18504,15163,65535
;Color boundary format: B1|B2|...
;Boundary metric is Bytes/s
custom_color_bounds=0|65536|3145728|10485760|16777216|26214400|45088768|56623104|69206016|83886080|104857600

[rules]
;Test files format: URL|TagName
test_file_urls=https://download.microsoft.com/download/2/0/E/20E90413-712F-438C-988E-FDAA79A8AC3D/dotnetfx35.exe|Default
test_file_urls=https://dl.google.com/android/studio/maven-google-com/stable/offline-gmaven-stable.zip|Google
test_file_urls=http://cachefly.cachefly.net/200mb.test|Cachefly
test_file_urls=http://updates-http.cdn-apple.com/2019FallFCS/fullrestores/061-22552/374D62DE-E18B-11E9-A68D-B46496A9EC6E/iPhone12,1_13.1.2_17A860_Restore.ipsw|Apple
;Rule format: matchType|matchItem1|matchItem2|...|matchTag
rules=match_isp|Microsoft Corporation|Google
rules=match_isp|Google LLC|Default
